#version 430 core
layout (location = 0) in vec3 pos;
layout (location = 1) in vec4 col;
layout (location = 2) in vec3 boxXboxYwidth;
layout (std140, binding = 0) uniform TheMat { mat4 theMat; } ;
out vec4 vCol;
out vec3 vPos;
out vec3 vparams;
void main() {
  gl_Position = theMat * vec4(pos,1);
  vCol = col;
  vparams = boxXboxYwidth;
  vPos = pos;
}
